export function runInZone() {
    var _this = this;
    var z = Zone.current;
    return new this.constructor(function (sub) {
        var subscription = _this.subscribe(z.wrap(sub.next, 'Observable.next').bind(sub), z.wrap(sub.error, 'Observable.error').bind(sub), z.wrap(sub.complete, 'Observable.complete').bind(sub));
        return function () { return subscription.unsubscribe(); };
    });
}
//# sourceMappingURL=run-in-zone.js.map